#include <math.h>
#include "vectores.h"

void cero(vector_t* v)
{
  v->x=0.0;
  v->y=0.0;
}

void copia(vector_t* cop, vector_t* orig)
{
  cop->x=orig->x;
  cop->y=orig->y;
}

void suma(vector_t* res, vector_t* v)
{
  res->x+=v->x;
  res->y+=v->y;
}

void resta(vector_t* res, vector_t* v)
{
  res->x-=v->x;
  res->y-=v->y;
}

void producto_escalar(vector_t* res, double f)
{
  res->x*=f;
  res->y*=f;
}

double longitud(vector_t* v)
{
  return sqrt((v->x*v->x)+(v->y*v->y));
}

void normalizar(vector_t* v)
{
  double l=longitud(v);
  if(l<0.001)
    l=0.001;
  v->x/=l;
  v->y/=l;
}

void truncar(vector_t* v, double max)
{
  if(longitud(v)>max)
    {
      normalizar(v);
      producto_escalar(v,max);
    }
}
