#include <stdlib.h>
#include <stdio.h>
#include "particulas.h"
#include "vectores.h"

#define SNAPSHOTS 5
#define size 16

int main(int argc, char* argv[])
{
  size_t i,n_objs,n_iter, n_reps;
  char* endp;
  particula_t* particulas;
  particula_t* repulsores;

  n_objs=(size_t)strtol(argv[1],&endp,10);

  if((n_objs%(10*size))!=0)
    n_objs=(1+(n_objs/(10*size)))*10*size;

  n_iter=(size_t)strtol(argv[2],&endp,10);
  n_reps=(size_t)(n_objs/10);

  particulas=inicializar(n_objs);
  repulsores=inicializar(n_reps);

  fprintf(stdout,"Numero efectivo de particulas=%d / repulsores=%d\n",n_objs, n_reps);
  fprintf(stderr,"Iteracion: _____");
  for(i=0;i<n_iter;i++)
    {
      fprintf(stderr,"\b\b\b\b\b%5d",i);
      actualizar_particulas(particulas,n_objs,0,n_objs,repulsores,n_reps);
      actualizar_repulsores(repulsores,n_reps,0,n_reps);

#ifdef DEBUG
      if(i%(n_iter/SNAPSHOTS)==0)
	{
	  fprintf(stdout,"PARTICULAS %d\n",i);
	  imprimir(particulas,n_objs);
	}
#endif
    }
  
  fprintf(stdout,"PARTICULAS\n");
  imprimir(particulas,n_objs);
  fprintf(stdout,"REPULSORES\n");
  imprimir(repulsores,n_reps);

  return 0;
}
