#!/bin/bash

# Job Description --------------------------------------------------- 

#@ group = A20101002
#@ class = debug
#@ job_type = parallel
#@ initialdir = $HOME/CCG
#@ output = $HOME/CCG/program.$(schedd_hostname).$(jobid).$(stepid).out 
#@ error =  $HOME/CCG/program.$(schedd_hostname).$(jobid).$(stepid).err 
#@ restart = no 
#@ requirements = (Feature == "myrinet") 
#@ total_tasks = 4
#@ blocking = unlimited 
#@ wall_clock_limit = 00:45:00 
#@ queue 
# End job description ----------------------------------------------- 
 
# Start execution --------------------------------------------------- 
 
# Environment 

export MP_EUILIB=gm 
export OBJECT_MODE=64 
export MP_RSH=ssh 
 
# Reserved nodes 
NPROCS=`cat ${LL_MACHINE_LIST} | wc -l`
 
# Run our program 
mpirun -np ${NPROCS} -machinefile ${LL_MACHINE_LIST} $HOME/CCG/paralelo 400 100
 
# End execution ----------------------------------------------------- 
 

